#
# spec file for package abootimg
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           abootimg
Version:        0.6
Release:        11.5
Summary:        Android boot image manipulator
License:        GPL-2.0+ and Apache-2.0
Group:          System/Boot
Url:            http://gitorious.org/ac100/abootimg
Source:         %{name}.tar.bz2
BuildRequires:  pkgconfig(blkid)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Android boot image manipulator. It can create/update/unpack boot.img - boot
file used by Android OS.

%prep
%setup -q -n %{name}

%build
# First make clean as a binary already exists in the tarball
make clean
make %{?_smp_mflags}

%install
install -m 755 -d %{buildroot}/%{_bindir}
install -m 755 abootimg %{buildroot}/%{_bindir}
install -m 755 abootimg-unpack-initrd %{buildroot}/%{_bindir}
install -m 755 abootimg-pack-initrd %{buildroot}/%{_bindir}
install -m 755 -d %{buildroot}/%{_mandir}/man1
cat debian/abootimg.1 | gzip -9 > %{buildroot}/%{_mandir}/man1/abootimg.1.gz

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Sep 17 2012 joop.boonen@opensuse.org
- Corrected the license as it's both GPL-2.0+ and Apache-2.0
* Fri Aug 31 2012 joop.boonen@opensuse.org
- Make clean as a binary already exists in the tarball
- Added missing BuildRequires pkgconfig(blkid)
* Mon Aug 27 2012 joop.boonen@opensuse.org
- cleaned spec file
* Mon Jul 23 2012 sleep_walker@suse.cz
- fix permissions
* Mon Jul 23 2012 sleep_walker@suse.cz
- let there be abootimg!
* Mon Jul 23 2012 sleep_walker@suse.cz
- let there be abootimg!
